/**
 * Header-fil for stoppested-klassen
 * 
 * @file stoppested.h
 * @author Sondre Sand & Frederik Simonsen
 */
#ifndef __STOPPESTED_H
#define __STOPPESTED_H

#include <string>
#include <vector>
#include <fstream>

/**
 * Stoppested (med navn, oversikt over alle nabostopp og
 * oversikt over tid til nabostopper)
 */
class Stoppested {
    private:
        std::string navn;
        std::vector <int> nabostopper;
        std::vector <int> tidtilnabo;

    public:
        Stoppested(const std::string nvn);
        Stoppested(const std::string nvn, std::ifstream & inn);
        bool finnesNabo(const int nr);
        int hentNaboIndeks(const int nr);
        int hentNaboTid(const int nr);
        std::string hentStoppestedNavn();
        void settNaboIndeks(const int nr);
        void settNaboTid(const int nr);
        void skrivData();
        void skrivNaboerOgTid();
        void skrivTilFil(std::ofstream & ut);
};

#endif